[Lenovo G50-30] freezes

Bug #1536327 reported by Marko Lazic on 2016-01-20
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

My computer freezes. The best one and most reliable that i found was kernel 4.1.13-realtime however it has wifi bugs and system freezes as well.

---
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marko 1224 F.... pulseaudio
CurrentDesktop: MATE
DistroRelease: Ubuntu 15.10
HibernationDevice: RESUME=UUID=8c1be7c0-8725-4999-b281-2c800eb41898
InstallationDate: Installed on 2016-01-13 (7 days ago)
InstallationMedia: Ubuntu-MATE 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: LENOVO 80G0
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-26-generic root=UUID=b02421be-8ad3-4413-8476-bf02e076581d ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.2.0-26.31-generic 4.2.8-ckt1
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-26-generic N/A
 linux-backports-modules-4.2.0-26-generic N/A
 linux-firmware 1.149.3
Tags: wily
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 4.2.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 08/03/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: A7CN48WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Lancer 5A6
dmi.board.vendor: LENOVO
dmi.board.version: NANANANANO DPK
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo G50-30
dmi.modalias: dmi:bvnLENOVO:bvrA7CN48WW:bd08/03/2015:svnLENOVO:pn80G0:pvrLenovoG50-30:rvnLENOVO:rnLancer5A6:rvrNANANANANODPK:cvnLENOVO:ct10:cvrLenovoG50-30:
dmi.product.name: 80G0
dmi.product.version: Lenovo G50-30
dmi.sys.vendor: LENOVO

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1536327

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected wily
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.4 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Marko Lazic (zila015) wrote :

Thank you. I tried 4.4 and machine was freezing it self like before. This bug exists since i wiped windows 7 and installed Linux. There was many threads over internet on how to solve this, especially for WI-FI going off and not going back. One guy said that it is solved in kernel 4.1.12 or 4.1.13 and he was right but now in the newer kernels bug showed up again.

tags: added: kernel-bug-exists-upstream
removed: apport-collected wily
Marko Lazic (zila015) wrote :

As of this moment i am testing linux-image-4.2.0-27-generic. Going to post how it is going with it.

Marko Lazic (zila015) wrote :

 linux-image-4.2.0-27-generic freezes more frequent than the previous one.

Marko Lazic, to see if this is already resolved, could you please test the latest mainline kernel (4.5-rc1) and advise to the results?

tags: added: latest-bios-a7cn48ww
description: updated
summary: - lenovo g50-30 linus freeze bug revisited
+ [Lenovo G50-30] freezes
description: updated
Marko Lazic (zila015) wrote :

Christopher M. Penalver, i will do that.

Marko Lazic (zila015) wrote :

In mean while i have found that 4.1.16-040116-lowlatency works without freezing whole laptop. Sometimes Wi-Fi network freeze it self only, and you can't click in tray and disconnect, usually when it comes back from suspend.

4.5-rc1 works. Laptop is not freezing, but it still have one small bug with the Wi-Fi. I seen github commit for solving problems with Lenovo G50-30 and i guess it finally came to be built.

I noticed that youtube video is getting stuck from time to time, and i would have ether to wait ether to click disconnect in wi-fi try icon and connect again, which now doesn't freeze. I also run a ping test. I did command "ping 8.8.8.8" on laptop and my main PC and when i done with it, PC had 0% packet loss and laptop had 24% packet loss.

So i think driver is still not quite there.

tags: added: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc1 needs-reverse-bisect wily
removed: kernel-bug-exists-upstream
Marko Lazic (zila015) wrote :

I am sad to say that freezing bug still persists, only it takes longer for freeze to occur.

Marko Lazic, to clarify, are you referring to when you are using 4.5-rc1?

Marko Lazic (zila015) wrote :

Yes, on 4.5-rc1. The rate of freezes is smaller over time, but it still happens. Since i wrote last comment it happen only twice, while before it would happen in about every 10 minutes to hour, with mainline willy kernel.

Marko Lazic, to clarify, when it freezes, is it a complete lockup of the OS, necessitating a restart, or is it that things stop briefly, but then resume again?

Also, could you please capture the crash following https://help.ubuntu.com/community/DebuggingSystemCrash ?

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.5-rc1
removed: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc1 needs-reverse-bisect
Marko Lazic (zila015) wrote :

I'm sorry, correct me if i got this wrong. I will look more into Kernel/CrashdumpRecipe later. These are logs from doing ssh session from my main pc to my laptop.

marko@Lenovo-G50-30:/proc$ sudo cat /proc/kmsg
<6>[ 197.189113] xhci_hcd 0000:00:14.0: Refused to change power state, currently in D0
<6>[ 216.208845] xhci_hcd 0000:00:14.0: Refused to change power state, currently in D0
<6>[ 225.221548] xhci_hcd 0000:00:14.0: Refused to change power state, currently in D0
<6>[ 351.767987] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 1 (2452/0 MHz)
<6>[ 555.764518] wlp2s0: deauthenticating from 58:2a:f7:f8:d8:80 by local choice (Reason: 3=DEAUTH_LEAVING)
<6>[ 561.305706] wlp2s0: authenticate with 58:2a:f7:f8:d8:80
<6>[ 561.318361] wlp2s0: send auth to 58:2a:f7:f8:d8:80 (try 1/3)
<6>[ 561.322065] wlp2s0: authenticated
<6>[ 561.324398] wlp2s0: associate with 58:2a:f7:f8:d8:80 (try 1/3)
<6>[ 746.546733] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 2 (2442/0 MHz)
marko@Lenovo-G50-30:/proc$ sudo cat /proc/kmsg
[sudo] password for marko:
packet_write_wait: Connection to 192.168.1.3: Broken pipen to 192.168.1.3: Broken
______
marko@Lenovo-G50-30:~$ sudo tail -f /var/log/syslog
[sudo] password for marko:
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] Not a paid data plan: /org/freedesktop/NetworkManager/ActiveConnection/4
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] Found usable connection: /org/freedesktop/NetworkManager/ActiveConnection/4
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] online
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 16 wlp2s0 192.168.1.3 UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 17 wlp2s0 fe80::ee0e:c4ff:fe22:badf UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 18 wlp2s0 fd58:2af7:f8d8:7900:ee0e:c4ff:fe22:badf UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 19 wlp2s0 fd58:2af7:f8d8:7900:c8d4:1783:297b:7e91 UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: peers refreshed
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: new interface(s) found: waking up resolver
Feb 3 18:05:57 Lenovo-G50-30 systemd[1]: Started Session 3 of user marko.
Feb 3 18:17:01 Lenovo-G50-30 CRON[4525]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Feb 3 18:48:47 Lenovo-G50-30 kernel: [ 4886.325248] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 1 (2452/0 MHz)
packet_write_wait: Connection to 192.168.1.3: Broken pipe

Marko Lazic (zila015) wrote :
Download full text (30.9 KiB)

marko@Lenovo-G50-30:~$ sudo cat /proc/kmsg
[sudo] password for marko:
<6>[ 2546.568641] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 2 (2442/0 MHz)
<6>[ 2724.111292] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 1 (2452/0 MHz)
<6>[ 6777.561428] PM: Syncing filesystems ... done.
<7>[ 6777.574024] PM: Preparing system for sleep (mem)
<6>[ 6778.714781] acpi LNXPOWER:00: Turning OFF
<6>[ 6778.730764] PM: noirq resume of devices complete after 15.944 msecs
<6>[ 6778.805786] rtlwifi: rtlwifi: wireless switch is on
<5>[ 6778.815896] sd 0:0:0:0: [sda] Starting disk
<6>[ 6779.075146] usb 1-4: reset high-speed USB device number 2 using xhci_hcd
<6>[ 6779.130635] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
<7>[ 6779.130978] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
<7>[ 6779.132725] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
<6>[ 6779.142359] ata2.00: configured for UDMA/100
<6>[ 6779.644741] usb 1-4.2: reset high-speed USB device number 4 using xhci_hcd
<6>[ 6779.736988] psmouse serio1: synaptics: queried min coordinates: x [1314..], y [1098..]
<6>[ 6779.897490] PM: resume of devices complete after 1090.470 msecs
<4>[ 6779.897644] usb 1-4.3:1.1: rebind failed: -517
<6>[ 6779.898717] Restarting tasks ... done.
<4>[ 6779.926645] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
<6>[ 6780.687132] IPv6: ADDRCONF(NETDEV_UP): enp3s0: link is not ready
<6>[ 6780.699716] r8169 0000:03:00.0 enp3s0: link down
<6>[ 6780.699836] IPv6: ADDRCONF(NETDEV_UP): enp3s0: link is not ready
<6>[ 6781.752575] wlp2s0: RX AssocResp from 58:2a:f7:f8:d8:80 (capab=0x411 status=0 aid=2)
<6>[ 6781.752987] wlp2s0: AP has invalid WMM params (AIFSN=1 for ACI 2), will use 2
<6>[ 6781.752993] wlp2s0: AP has invalid WMM params (AIFSN=1 for ACI 3), will use 2
<6>[ 6781.753221] wlp2s0: associated
<6>[ 7867.796690] wlp2s0: AP 58:2a:f7:f8:d8:80 changed bandwidth, new config is 2452 MHz, width 1 (2452/0 MHz)

_______

marko@Lenovo-G50-30:~$ sudo tail -f /var/log/syslog
[sudo] password for marko:
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] Not a paid data plan: /org/freedesktop/NetworkManager/ActiveConnection/4
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] Found usable connection: /org/freedesktop/NetworkManager/ActiveConnection/4
Feb 3 18:00:47 Lenovo-G50-30 whoopsie[818]: [18:00:47] online
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 16 wlp2s0 192.168.1.3 UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 17 wlp2s0 fe80::ee0e:c4ff:fe22:badf UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 18 wlp2s0 fd58:2af7:f8d8:7900:ee0e:c4ff:fe22:badf UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: Listen normally on 19 wlp2s0 fd58:2af7:f8d8:7900:c8d4:1783:297b:7e91 UDP 123
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: peers refreshed
Feb 3 18:00:48 Lenovo-G50-30 ntpd[875]: new interface(s) found: waking up resolver
Feb 3 18:05:57 Lenovo-G50-30 systemd[1]: Started Session 3 of user marko.
Feb 3 18:17:01 Lenovo-G50-30 CRON[4525]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Feb 3 18:48:47 Lenovo-G50-30 ...

Marko Lazic, while it appears you are capturing things, I'm not seeing either a kernel call trace, or xorg backtrace (this has yet to be captured).

Also, it would be helpful to test the latest mainline kernel (4.5-rc2) that came out a couple days ago.

moueza (mouezapeter) wrote :

With Lenovo g50-30, kernel 4.2.0-27-generic #32-Ubuntu SMP
Affected too
Hangs arround once a day
Drives to unresponsive keyboard, so must press power button

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers